Subject: Re: bug#14802: 24.3.50; (elisp) Multiple Terminals - what is a terminal attribute?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Feb 2014 18:18:59 +0200

> Date: Sun, 9 Feb 2014 20:03:52 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > What kind of an Emacs thingie is a terminal attribute?
> > 
> > It's an attribute of a terminal object.
> 
> OK, that gives it a name.  Now how about saying what that
> is (in the manual)?
> 
> Either that or don't introduce the term - it is just vapor
> otherwise, and confusing.  Users can wonder what they're missing,
> and where to find it.

I really don't understand the purpose of this bug report, because this
very node is the answer to all your questions and gripes.  It
includes:

  . a full list of the attributes of a terminal object (directly below
    the single sentence you cited in your report)

  . documentation of functions that access those attributes, and

  . references to other nodes where related features and issues are
    described

What else is missing?

> If the text said "characteristics" or "qualities" or similar,
> users wouldn't wonder so much.  But "attribute" typically means
> something particular in software.  If what is meant here is the
> ordinary English use of the word then I suggest picking a less
> technical-sounding equivalent.
> 
> If what is meant really is something technical that is known
> as a terminal attribute (as one user, I really don't know),
> then that term either needs explaining or users should be
> sent elsewhere for info about it.

I see nothing wrong with the word "attribute".  In this very manual,
we have:

  . text attributes
  . face attributes
  . file attributes
  . package attributes
  . process attributes

What's wrong with having "terminal object attributes"?